curl --request DELETE \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/tags/{tagName} \
--header 'Authorization: Bearer <token>'{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"status": "DELETING",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}Deletes a specific tag from a container image. The underlying image layers are kept if other tags reference them. Will fail if the tag is currently in use.
curl --request DELETE \
--url https://api.blaxel.ai/v0/images/{resourceType}/{imageName}/tags/{tagName} \
--header 'Authorization: Bearer <token>'{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"status": "DELETING",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}OAuth2 authentication with JWT tokens
Resource type (agents, functions, sandboxes, jobs)
Name of the container image repository
Tag name to delete (e.g., latest, v1.0.0)
Was this page helpful?